Bug 39361 - HTTP warning on the overview site
HTTP warning on the overview site
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Apache
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.1-0-errata
Assigned To: Florian Best
Stefan Gohmann
:
Depends on:
Blocks: 40006
  Show dependency treegraph
 
Reported: 2015-09-17 16:00 CEST by Stefan Gohmann
Modified: 2015-12-09 16:44 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2015-09-17 16:00:09 CEST
The overview site should show a warning if HTTP is used. It should also provide a link to HTTPS.

See the "Insecure Connection" warning on the UMC login page.
Comment 1 Florian Best univentionstaff 2015-11-20 16:48:04 CET
univention-apache (8.0.1-2):
r65822 | Bug #39361: Add warning about unencrypted HTTP connection to the UCS overview page
r65821 | Bug #39361: Add warning about unencrypted HTTP connection to the UCS overview page

2015-11-20-univention-apache.yaml:
r65823 | YAML Bug #39361
Comment 2 Stefan Gohmann univentionstaff 2015-12-08 06:34:22 CET
Code review: OK

Tests: OK (IE, Firefox, Chrome on different UCS roles)

YAML: OK, small adjustment: r66136
Comment 3 Janek Walkenhorst univentionstaff 2015-12-09 16:44:02 CET
<http://errata.software-univention.de/ucs/4.1/19.html>